<?php
define('ROOT','../');
define('GCMS',true);
require_once (ROOT.'system/power.php');
//Бан на форуме
$ban = $db -> query("SELECT * FROM `ban` WHERE `iduser` = '".$ya['id']."' and `serius` = 'forum' LIMIT 1");
if ($ban -> num_rows > 0) {
header('location: '.ROOT.'ban.php?mode=forum');
}
switch($mode) {
//Удаление прикрепленного файла
case 'delfile':
if ($aut == true and $id != false) {
$sql = $db -> query("SELECT `file`,`tema`,`user`,`size` FROM `forum_posts` WHERE `id` = '".$id."' LIMIT 1");
if ($sql -> num_rows > 0) {
    $ass = $sql -> fetch_assoc();
if($ass['user']==$ya['id'] or $ya['level']>1){
    if($ass['size']!=null){
if (!isset($_GET['true'])) {
$diz -> head('Форум');
$diz -> title('Удаление файла');
$msg.='<div class="fon">';
$msg .= '<span>'.$ass['file'].'</span><br/>Вы точно хотите удалить прикреплённый файл?<br/>
<a href="./func.php?mode=delfile&amp;id='.$id.'&amp;true">Да</a> | <a href="tema.php?id='.$ass['tema'].'&page='.$page.'">Нет</a>';
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="tema.php?id='.$ass['tema'].'&page='.$page.'">Назад</a><br/>';
$msg .= ''.$diz -> img('home.png').'<a href="/">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else {
$diz -> head('Форум');
$diz -> title('Удаление файла');
     $msg.='<div class="fon">Прикреплённый файл был успешно удалён!</div>';
$db -> query("UPDATE `forum_posts` SET `file`='delete',`size`='0' WHERE `id` = '".(int)$id."'");
unlink('./files/'.$perf.'_'.$ass['file']);
     header('refresh: 2; url=tema?id='.$ass['tema'].'&page='.$page.'');
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="tema.php?id='.$ass['tema'].'&page='.$page.'">Назад</a><br/>';
$msg .= ''.$diz -> img('home.png').'<a href="/">На главную</a></div>';
     #####Копирайт#######
require_once (ROOT.'system/kopy.php');
     $diz -> out($msg);
}
} else header('location: tema.php?id='.$ass['tema'].'&page='.$page.'');
} else header('location: tema.php?id='.$ass['tema'].'&page='.$page.'');
} else header('location: index.php/forum/');
} else header('location: index.php');
break;
///Изменение поста
case 'edpost':
if ($aut == true and $id != false) {
$sql = $db -> query("SELECT `tema`,`user`,`text` FROM `forum_posts` WHERE `id` = '".$id."' LIMIT 1");
if ($sql -> num_rows > 0) {
$ass = $sql -> fetch_assoc();
$f_t = $db -> query("SELECT `status` FROM `forum_tems` WHERE `id` = '".(int)$ass['tema']."'")-> fetch_assoc();
if($f_t['status']==0){
if ((int)$ya['id'] == (int)$ass['user'] or (int)$ya['level'] > 3) {
if (empty($_POST['text'])) {
$diz -> head('Форум');
$diz -> title('Изменяем сообщение');
$t = $func -> br($ass['text']);
$msg.='<div class="fon">';
$msg .= '<form action="func.php?mode=edpost&id='.$id.'" method="post"><div>
Сообщение:<br/><textarea name="text" cols="25" rows="4">'.$t.'</textarea><br/>
<input type="submit" value="Изменить"/>
</div></form>';
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="tema.php?id='.$ass['tema'].'&amp;page='.$page.'">Назад</a><br/>';
$msg .= ''.$diz -> img('home.png').'<a href="/">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else {
if($_POST['text']!=$ass['text']){
$text = shit($_POST['text']);
$db -> query("UPDATE `forum_posts` SET `text` = '".$text."', `edit` = '".$ya['login']."', `timeedit` = '".time()."' WHERE `id` = '".(int)$id."' LIMIT 1");}
header('location: tema.php?id='.$ass['tema'].'');
}
} else header('location: tema.php?id='.$ass['tema'].'');
} else header('location: tema.php?id='.$ass['tema'].'');
} else header('location: index.php');
} else header('location: index.php');
break;
///Переименование темы
case 'name':
if ($aut == true and (int)$id != false and (int)$ya['level']>1) {
$sql = $db -> query("SELECT * FROM `forum_tems` WHERE `id` = '".$id."' LIMIT 1");
if ($sql -> num_rows > 0) {
$ass = $sql -> fetch_assoc();
if (empty($_POST['name'])) {
$diz -> head('Смена имени');
$diz -> title('Смена имени');
$msg.='<div class="fon">';
$msg .= 'Введите/Измените название темы:
<form action="./func.php?mode=name&amp;id='.$id.'" method="post"><div>
<textarea name="name" rows="1" cols="15">'.$func -> br($ass['name']).'</textarea><br/>
<input type="submit" value="Изменить"/>
</div></form><br/>';
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="tema?id='.$id.'">Назад</a>';
$msg .= '</br>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else {
$name = shit($_POST['name']); 
$sql = $db -> query("SELECT * FROM `forum_tems` WHERE `name`='".$name."' and `id` = '".(int)$id."' LIMIT 1");
if ($sql -> num_rows == 0) {

$db -> query("UPDATE `forum_tems` SET `name`='".$name."' WHERE `id` = '".$id."'");
     $db -> multi_query("INSERT INTO `forum_posts` SET `razdel`='".(int)$ass['razdel']."', `user` = '".(int)$ya['id']."', `text` = ':nh: [b]Тема была переименована![/b]',
 `ip` = '".$ip."', `browser` = '".$browser."',
`time` = '".time()."',`tema`='".$id."'; UPDATE `forum_tems` SET `uptime` = '".time()."' WHERE `id` = '".$id."'");
     header('location: tema'.$id.'');
} else header('location: tema'.$id.'');   
}                       
} else header('location: ./razdel.php?id='.$ass['razdel'].'');
} else header('location: ./tema.php?id='.$id.'');
break;
///Открытие темы
case 'otkript':
$vs = $db -> query("Select * FROM `forum_tems` WHERE `id` = '".$id."' ")-> fetch_assoc();
if ($aut == true and (int)$id != false and (int)$ya['level']>1) {
$sql = $db -> query("SELECT * FROM `forum_tems` WHERE `id` = '".$id."' LIMIT 1");
if ($sql -> num_rows > 0) {
$ass = $sql -> fetch_assoc();
if($ass['status']==1){
if (!isset($_GET['true'])) {
$diz -> head('Форум');
$diz -> title('Открытие темы');
$msg.='<div class="fon">';
$msg .= '<span>'.$ass['name'].'</span><br/>Вы точно хотите открыть данную тему?<br/>
<a href="./func.php?mode=otkript&amp;id='.$id.'&amp;true">Да</a> | <a href="tema.php?id='.$id.'">Нет</a>';
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="tema?id='.$id.'">Назад</a>';
$msg .= '</br>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else {
$db -> query("UPDATE `forum_tems` SET `status`=0 WHERE `id` = '".(int)$id."'");
$diz -> head('Открытие темы');
     $diz -> title('Открытие темы');
     $msg.='<div class="fon">Тема была успешно открыта!</div>';
     $db -> multi_query("INSERT INTO `forum_posts` set `user` = '".$ya['id']."', `text` = ':temaopen: [b]Тема открыта![/b]',
 `ip` = '".$ip."', `browser` = '".$browser."',
`time` = '".time()."',`tema`='".$id."'; UPDATE `forum_tems` SET `uptime` = '".time()."' WHERE `id` = '".$id."'");
     header('refresh: 2; url=tema?id='.$id.'');
     $msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="tema?id='.$id.'">Назад</a>';
$msg .= '</br>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
     #####Копирайт#######
require_once (ROOT.'system/kopy.php');
     $diz -> out($msg);
}
}else{     $diz -> head('Ошибка');
$diz -> head('Ошибка');
     $diz -> title('Ошибка');
     $msg.='<div class="fon">Данная тема уже открыта!</div>';
     header('refresh: 1; url=tema.php?id='.$id.'');
     $diz -> out($msg);}
} else header('location: index.php?id='.$vs['razdel'].'');
} else header('location: tema.php?id='.$id.'');
break;
///Открепление темы
case 'otkripl':
if ($aut == true and (int)$id != false and (int)$ya['level']>3) {
$sql = $db -> query("SELECT * FROM `forum_tems` WHERE `id` = '".$id."' LIMIT 1");
if ($sql -> num_rows > 0) {
$ass = $sql -> fetch_assoc();
if($ass['status']==1){
if (!isset($_GET['true'])) {
$diz -> head('Форум');
$diz -> title('Открепление темы');
$msg.='<div class="fon">';
$msg .= '<span>'.$ass['name'].'</span><br/>Вы точно хотите откепить данную тему?<br/>
<a href="./func.php?mode=otkripl&amp;id='.$id.'&amp;true">Да</a> | <a href="tema.php?id='.$id.'">Нет</a>';
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="tema?id='.$id.'">Назад</a>';
$msg .= '</br>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else {
$db -> query("UPDATE `forum_tems` SET `status`=0 WHERE `id` = '".(int)$id."'");
$diz -> head('Открепление темы');
     $diz -> title('Открепление темы');
     $msg.='<div class="fon">Тема была успешно откреплена!</div>';
     $db -> multi_query("INSERT INTO `forum_posts` set `user` = '".$ya['id']."', `text` = ':сомнение: [b]Тема была откреплена![/b]',
 `ip` = '".$ip."', `browser` = '".$browser."',
`time` = '".time()."',`tema`='".$id."'; UPDATE `forum_tems` SET `uptime` = '".time()."' WHERE `id` = '".$id."'");
     header('refresh: 2; url=tema?id='.$id.'');
     $msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="tema?id='.$id.'">Назад</a>';
$msg .= '</br>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
     #####Копирайт#######
require_once (ROOT.'system/kopy.php');
     $diz -> out($msg);
}
}else{     $diz -> head('Ошибка');
$diz -> head('Ошибка');
     $diz -> title('Ошибка');
     $msg.='<div class="fon">Данная тема не была закреплена!</div>';
     header('refresh: 1; url=tema.php?id='.$id.'');
     $diz -> out($msg);}
} else header('location: index.php?id='.$vs['razdel'].'');
} else header('location: tema.php?id='.$id.'');
break;
///Перенос темы
case 'perenos':
if ($aut == true and (int)$id != false and (int)$ya['level']>2) {
$sql = $db -> query("SELECT * FROM `forum_tems` WHERE `id` = '".$id."' LIMIT 1");
if ($sql -> num_rows > 0) {
$ass = $sql -> fetch_assoc();
if (empty($_POST['razdel'])) {
$diz -> head('Форум');
$diz -> title('Перенос темы');
$msg.='<div class="fon">';
$for = $db -> query("SELECT `id`,`name` FROM `forum_razdel` where `id`<>'$ass[razdel]'");
while ($assoc = $for -> fetch_assoc()) {
$opt .= '<option value="'.$assoc['id'].'">'.$assoc['name'].'</option>';
}
$msg .= 'Выберите форум:<br/>
<form action="func.php?id='.$id.'&amp;mode=perenos" method="post"><div>
<select name="razdel">'.$opt.'</select><br/>
<input type="submit" value="Перенести"/>
</div></form>';
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="tema?id='.$id.'">Назад</a>';
$msg .= '</br>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else {
$razdel = abs(intval(htmlentities($db -> real_escape_string($_POST['razdel']))));
$db -> query("UPDATE `forum_posts` SET `razdel`=$razdel WHERE `tema` = '".(int)$id."'");
$db -> query("UPDATE `forum_tems` SET `razdel`=$razdel WHERE `id` = '".(int)$id."'");
$diz -> head('Перенос темы');
     $diz -> title('Перенос темы');
     $msg.='<div class="fon">Тема была успешно перенесена!</div>';
          $db -> multi_query("INSERT INTO `forum_posts` SET `user` = '".$ya['id']."', `text` = ':вз: [b]Тема была перенесена![/b]',
 `ip` = '".$ip."', `browser` = '".$browser."',
`time` = '".time()."',`tema`='".$id."'; UPDATE `forum_tems` SET `uptime` = '".time()."' WHERE `id` = '".$id."'");
     header('refresh: 2; url=tema?id='.$id.'');
     #####Копирайт#######
require_once (ROOT.'system/kopy.php');
     $diz -> out($msg);
}
} else header('location: index.php');
} else header('location: tema.php?id='.$id.'');
break;
///Закрепление
case 'zakript':
if ($aut == true and (int)$id != false and (int)$ya['level']>3) {
$sql = $db -> query("SELECT * FROM `forum_tems` WHERE `id` = '".$id."' LIMIT 1");
if ($sql -> num_rows > 0) {
$ass = $sql -> fetch_assoc();
if($ass['var']==0){
if (!isset($_GET['true'])) {
$diz -> head('Форум');
$diz -> title('Закрепление темы');
$msg.='<div class="fon">';
$msg .= 'Тема: <span>'.$ass['name'].'</span><br/>Вы точно хотите закрепить данную тему?<br/>
<a href="./func.php?mode=zakript&amp;id='.$id.'&amp;true">Да</a> | <a href="tema.php?id='.$id.'">Нет</a>';
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="tema?id='.$id.'">Назад</a>';
$msg .= '</br>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else {
$db -> query("UPDATE `forum_tems` SET `var`=1 WHERE `id` = '".(int)$id."'");
$diz -> head('Закрепление темы');
     $diz -> title('Закрепление темы');
     $msg.='<div class="fon">Тема была успешно закреплена!</div>';
          $db -> multi_query("INSERT INTO `forum_posts` SET `user` = '".$ya['id']."', `text` = ':да: [b]Тема была закреплена![/b]',
 `ip` = '".$ip."', `browser` = '".$browser."',
`time` = '".time()."',`tema`='".$id."'; UPDATE `forum_tems` SET `uptime` = '".time()."' WHERE `id` = '".$id."'");
     header('refresh: 2; url=tema?id='.$id.'');
     #####Копирайт#######
require_once (ROOT.'system/kopy.php');
     $diz -> out($msg);
}
}else{     $diz -> head('Ошибка');
$diz -> head('Ошибка');
     $diz -> title('Ошибка');
     $msg.='<div class="fon">Данная тема уже закреплена!</div>';
     header('refresh: 1; url=tema.php?id='.$id.'');
     $diz -> out($msg);}
} else header('location: index.php');
} else header('location: tema.php?id='.$id.'');
break;
///Закрытие
case 'kript':
$vs2 = $db -> query("Select * FROM `forum_tems` WHERE `id` = '".$id."' ")-> fetch_assoc();
if ($aut == true and (int)$id != false and (int)$ya['id'] == (int)$vs2['user'] or (int)$ya['level']>1) {
$sql = $db -> query("SELECT * FROM `forum_tems` WHERE `id` = '".$id."' LIMIT 1");
if ($sql -> num_rows > 0) {
$ass = $sql -> fetch_assoc();
if($ass['status']==0){
if (!isset($_GET['true'])) {
$diz -> head('Форум');
$diz -> title('Закрытие темы');
$msg.='<div class="fon">';
$msg .= '<span>'.$ass['name'].'</span><br/>Вы точно хотите закрыть данную тему?<br/>
<a href="./func.php?mode=kript&amp;id='.$id.'&amp;true">Да</a> | <a href="tema.php?id='.$id.'">Нет</a>';
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="tema?id='.$id.'">Назад</a>';
$msg .= '</br>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else {
$db -> query("UPDATE `forum_tems` SET `status`=1 WHERE `id` = '".(int)$id."'");
$diz -> head('Закрытие темы');
     $diz -> title('Закрытие темы');
     $msg.='<div class="fon">Тема была успешно закрыта!</div>';
          $db -> multi_query("INSERT INTO `forum_posts` SET `user` = '".$ya['id']."', `text` = ':temaclose: [b]Тема закрыта![/b]',
 `ip` = '".$ip."', `browser` = '".$browser."',
`time` = '".time()."',`tema`='".$id."'; UPDATE `forum_tems` SET `uptime` = '".time()."' WHERE `id` = '".$id."'");
     header('refresh: 2; url=tema?id='.$id.'');
     #####Копирайт#######
require_once (ROOT.'system/kopy.php');
     $diz -> out($msg);
}
}else{     $diz -> head('Ошибка');
$diz -> head('Ошибка');
     $diz -> title('Ошибка');
     $msg.='<div class="fon">Данная тема уже закрыта!</div>';
     header('refresh: 1; url=tema.php?id='.$id.'');
     $diz -> out($msg);}
} else header('location: index.php');
} else header('location: tema.php?id='.$id.'');
break;
///СОхранение в закладки
case 'nuts':
$nuts = $db -> dbcount('count(`id`)','nuts',"`idwh` = '".$id."' and `where`='forum'");
$vs = $db -> query("Select * FROM `nuts` WHERE `idwh` = '".$id."' and `where`='forum'")-> fetch_assoc();
if ($aut==true and $nuts==0) {
$sql = $db -> query("SELECT * FROM `forum_tems` WHERE `id` = '".$id."' LIMIT 1");
if ($sql -> num_rows > 0) {
$ass = $sql -> fetch_assoc();
if (!isset($_GET['true'])) {
$diz -> head('Форум');
$diz -> title('Добавление в закладки');
$msg.='<div class="fon">';
$msg .= 'Тема: <span>'.$ass['name'].'</span><br/>Вы точно хотите сохранить в закладки данную тему?<br/>
<a href="./func.php?mode=nuts&amp;id='.$id.'&amp;true">Да</a> | <a href="tema.php?id='.$id.'">Нет</a>';
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="tema?id='.$id.'">Назад</a>';
$msg .= '</br>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else {
$diz -> head('Добавление в закладки');
     $diz -> title('Добавление в закладки');
     $msg.='<div class="fon">Тема была успешно сохранена в закладках!</div>';
     $db -> query("INSERT INTO `nuts` set `user` = '".$ya['id']."', `idwh` = '$id',
 `where` = 'forum',`time` = '".time()."'");
     header('refresh: 2; url=tema?id='.$id.'');
     $msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="tema?id='.$id.'">Назад</a>';
$msg .= '</br>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
     #####Копирайт#######
require_once (ROOT.'system/kopy.php');
     $diz -> out($msg);
}
} else header('location: index.php?id='.$vs['razdel'].'');
} else header('location: tema.php?id='.$id.'');
break;
///Изменение голосования
case 'golos':
$f_t = $db -> query("SELECT `status` FROM `forum_tems` WHERE `id` = '".$id."'")-> fetch_assoc();
if($f_t['status']==0){
if ($aut == true and $id != false and $ya['level']>3) {
$sql = $db -> query("SELECT * FROM `golos` WHERE `where` = 'forum' and `id_w` = '".$id."' LIMIT 1");
if ($sql -> num_rows > 0) {
$ass = $sql -> fetch_assoc();
if (empty($_POST['text']) and empty($_POST['1']) and empty($_POST['2'])) {
$diz -> head('Форум');
$diz -> title('Изменение голосования');
$msg.='<div class="fon">';
$msg .= '<form action="func.php?id='.$id.'&amp;mode=golos" method="post" enctype="multipart/form-data"><div>';
$msg .= "<b>Название:</b><br />\n<input name=\"name\" class=\"form\" type=\"text\" value=\"".$func -> br($ass['name'])."\"/><br />\n";
$msg .=  "1) <b>Ответ: </b><br />\n<input name=\"1\" class=\"form\" type=\"text\" value=\"".$func -> br($ass[1])."\" /><br />\n";
$msg .=  "2) <b>Ответ: </b><br />\n<input name=\"2\" class=\"form\" type=\"text\" value=\"".$func -> br($ass[2])."\" /><br />\n";
$msg .=  "3) Ответ:<br />\n<input name=\"3\" class=\"form\" type=\"text\" value=\"".$func -> br($ass[3])."\" /><br />\n";
$msg .=  "4) Ответ:<br />\n<input name=\"4\" class=\"form\" type=\"text\" value=\"".$func -> br($ass[4])."\" /><br />\n";
$msg .=  "5) Ответ:<br />\n<input name=\"5\" class=\"form\" type=\"text\" value=\"".$func -> br($ass[5])."\" /><br />\n";
$msg .=  "6) Ответ:<br />\n<input name=\"6\" class=\"form\" type=\"text\" value=\"".$func -> br($ass[6])."\" /><br />\n";
$msg .=  "7) Ответ:<br />\n<input name=\"7\" class=\"form\" type=\"text\" value=\"".$func -> br($ass[7])."\" /><br />\n";
$msg .=  "8) Ответ:<br />\n<input name=\"8\" class=\"form\" type=\"text\" value=\"".$func -> br($ass[8])."\" /><br />\n";
$msg .=  '<input type="submit" value="Изменить"/>';
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="tema?id='.$id.'">Назад</a>';
$msg .= '</br>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else {
$name = shit($_POST['name']); 
$g1 = shit($_POST[1]); 
$g2 = shit($_POST[2]); 
$g3 = shit($_POST[3]); 
$g4 = shit($_POST[4]); 
$g5 = shit($_POST[5]); 
$g6 = shit($_POST[6]); 
$g7 = shit($_POST[7]); 
$g8 = shit($_POST[8]); 
$db -> query("UPDATE `golos` SET `name`='".$name."',`1`='".$g1."',`2`='".$g2."',`3`='".$g3."',`4`='".$g4."'
,`5`='".$g5."',`6`='".$g6."',`7`='".$g7."',`8`='".$g8."' WHERE `id` = '".$ass['id']."'");
$diz -> head('Изменение голосования');
     $diz -> title('Изменение голосования');
     $msg.='<div class="fon">Голосование было изменено!</div>';
     header('refresh: 2; url=tema'.$id.'');
     #####Копирайт#######
require_once (ROOT.'system/kopy.php');
     $diz -> out($msg);
}
} else header('location: tema'.$id.'');
} else header('location: tema.php?id='.$id.'');
} else header('location: tema.php?id='.$id.'');
break;
//переадресация в случае пустой функции
default:
header('location: tema.php?id='.$id.'');
}
?>